body {
  min-height: 100vh;
  min-height: -webkit-fill-available;
}

html {
  height: -webkit-fill-available;
}

main {
  display: flex;
  flex-wrap: nowrap;
  height: 100vh;
  height: -webkit-fill-available;
  max-height: 100vh;
  overflow-x: auto;
  overflow-y: hidden;
}

.bi {
  vertical-align: -0.125em;
  pointer-events: none;
  fill: currentColor;
}

.dropdown-toggle {
  outline: 0;
}

.btn-toggle {
  display: inline-flex;
  align-items: center;
  padding: 0.25rem 0.5rem;
  font-weight: 600;
  color: rgba(0, 0, 0, 0.65);
  background-color: transparent;
  border: 0;
}
.btn-toggle:hover,
.btn-toggle:focus {
  color: rgba(0, 0, 0, 0.85);
  background-color: #d2f4ea;
}

.btn-toggle::before {
  width: 1.25em;
  line-height: 0;
  content: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='rgba%280,0,0,.5%29' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M5 14l6-6-6-6'/%3e%3c/svg%3e");
  transition: transform 0.35s ease;
  transform-origin: 0.5em 50%;
}

.btn-toggle[aria-expanded="true"] {
  color: rgba(0, 0, 0, 0.85);
}
.btn-toggle[aria-expanded="true"]::before {
  transform: rotate(90deg);
}

.btn-toggle-nav a {
  display: inline-flex;
  padding: 0.1875rem 0.5rem;
  margin-top: 0.125rem;
  margin-left: 1.25rem;
  text-decoration: none;
}
.btn-toggle-nav a:hover,
.btn-toggle-nav a:focus {
  background-color: #d2f4ea;
}

.scrollarea {
  overflow-y: auto;
  height: 78vh;
}

.fw-semibold {
  font-weight: 600;
}
.lh-tight {
  line-height: 1.25;
}

// HEADER STYLES

.border-bottom {
  border-bottom: 1px solid #dee2e6 !important;
}

// SCROLLBAR

/* Works on Firefox */
* {
  scrollbar-width: thin;
  scrollbar-color: #bdbdbd9a #ffffff;
}

/* Works on Chrome, Edge, and Safari */
*::-webkit-scrollbar {
  width: 8px;
  height: 24px;
}

*::-webkit-scrollbar-track {
  background: #ffffff;
}

*::-webkit-scrollbar-thumb {
  background-color: #bbbbbb;
  border-radius: 0.25rem !important;
  border: 1px solid #bbbbbb;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #5e5e5e;
}

// DROPDOWN

/* Add an active class to the active dropdown button */
.drop-down-active {
  background-color: green;
}

/* Dropdown container (hidden by default). Optional: add a lighter background color and some left padding to change the design of the dropdown content */
.dropdown-container {
  display: none;
  background-color: #ffffff;
  padding-left: 8px;
}

/* Optional: Style the caret down icon */
.fa-caret-down {
  float: right;
  padding-right: 8px;
}

.nav-flush .nav-link {
  border-radius: 4px;
}

.uncollapsed .nav-pills-container {
  overflow-x: scroll;
  height: 34rem;
  width: 90%;
}

.nav-pills .nav-link,
.nav-pills .show > .nav-link {
  color: rgba(0, 0, 0, 0.5); /*#5e5e5e*/
}

.nav-pills .nav-link.active,
.nav-pills .show > .nav-link {
  color: #3373f3;
  background-color: #5e8af915;
  font-weight: bold;
}

.nav-pills .nav-link:hover {
  color: #3373f3;
  background-color: hsl(223deg 93% 67% / 10%);
}
.nav-sub-link a:hover {
  color: #3373f3;
}

.btn-group .dropdown-menu a:hover {
  color: #3373f3;
  background-color: #5e8af915;
  border-radius: 4px;
}

.btn-group .dropdown-item {
  width: 90% !important;
}

.pagination > li {
  display: inline;
  width: 50px;
  height: 34px;
  text-align: center;
  padding-top: 4px;
  border: 1px solid #f4f4f4;
  margin-left: 4px;
  border-radius: 4px;
  /* font-weight: 700; */
}
.pagination li:hover {
  background: #5e8af915;
  color: #0d6efd !important;
}
.pagination .disabled,
.pagination .disabled:hover {
  background: #ffffff !important;
  color: rgb(0 0 0 / 50%) !important;
  cursor: not-allowed;
}
.pagination a {
  text-decoration: none;
  padding: 10px;
}
.pagination .prev {
  padding-top: 2px;
  font-size: 1rem;
}
.pagination .next {
  padding-top: 2px;
  font-size: 1rem;
}
.pagination .active {
  color: #ffffff;
  background: #0d6efd;
}
.pagination .active a {
  color: #ffffff !important;
}
.pagination .active a:hover {
  color: #0d6efd !important;
}
